/* Apply google font */
* {
  font-family: "Noto Sans Cham", sans-serif;
}

/* Styling for navigation.html links */
.btn-grad {
  background-image: linear-gradient(to right, #4CB8C4 0%, #3CD3AD 51%, #4CB8C4 100%);
}


.btn-grad {
  margin: 10px;
  padding: 15px 45px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
  display: block;
  outline: none;
  border: none;
}

.btn-grad:hover {
  background-position: right center;
  color: #fff;
  text-decoration: none;
}

/* Styling for external.html */
a {
  text-decoration: none;
}

.container {
  display: grid;
  grid-template-columns: repeat(3, minmax(150px, 1fr));
  justify-items: center;
  gap: 2em;
}

.card-bg {
  background-size: cover;
  width: 7em;
  height: 7em;
  box-shadow: rgba(0,0,0, 0.24) 0px 3px 8px;
}

.card-fg {
  background: linear-gradient(180deg,
                rgba(255, 255, 255, 0) 0%,
                rgba(255, 255, 255, 0) 33%,
                rgba(230, 230, 230, 0.7) 45%,
                rgba(230, 230, 230, 0.7) 55%,
                rgba(255, 255, 255, 0) 67%,
                rgba(255, 255, 255, 0) 100%);
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
  height: 100%;

  transition: backdrop-filter 0.3s cubic-bezier(0, 0.52, 0.38, 0.99);
  backdrop-filter: blur(0px);
}

.card-fg:hover {
  backdrop-filter: blur(2px);
}

.jellyfin-bg-image {
  background-image: url("/assets/images/jellyfin-logo.png");
}

.letterboxd-bg-image {
  background-image: url("/assets/images/letterboxd-logo.png");
}
